> ## Documentation Index
> Fetch the complete documentation index at: https://docs.creditriskmonitor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Portfolio Businesses within a Folder for the current user

> Modifies portfolio composition by adding or removing business entities within a folder. 

<Note>
  Use the [**<u>Login</u>**<u> endpoint</u>](/api-reference/user/logs-a-user-in) to retrieve the **`SessionKey`**, then include it in the **Authorization** field for authentication.
</Note>


## OpenAPI

````yaml post /v1/Portfolio/Folders/{FolderId}
openapi: 3.0.0
info:
  version: v2
  title: Credit Risk Monitor API
servers:
  - url: https://api.creditriskmonitor.com
security: []
paths:
  /v1/Portfolio/Folders/{FolderId}:
    post:
      tags:
        - Portfolio
      summary: Adds or Removes Businesses from a Folder
      operationId: Portfolio_AddRemoveBusinessesFromFolder
      parameters:
        - name: FolderId
          in: path
          description: Id of the Folder to add Businesses to
          required: true
          schema:
            format: int32
            type: integer
        - name: AddBusinesses
          in: query
          description: Comma separated List of Business Ids to add
          required: false
          schema:
            type: string
        - name: DeleteBusinesses
          in: query
          description: Comma separated List of Business Ids to remove
          required: false
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIResponseContainer_String_'
            text/json:
              schema:
                $ref: '#/components/schemas/APIResponseContainer_String_'
            text/html:
              schema:
                $ref: '#/components/schemas/APIResponseContainer_String_'
            application/xml:
              schema:
                $ref: '#/components/schemas/APIResponseContainer_String_'
            text/xml:
              schema:
                $ref: '#/components/schemas/APIResponseContainer_String_'
components:
  schemas:
    APIResponseContainer_String_:
      description: ''
      type: object
      properties:
        Success:
          description: ''
          type: boolean
        Data:
          description: ''
          type: string
        ErrorCode:
          description: ''
          type: string

````